<?php
/**
 * @package wtsmidaway
 * @version 1.6
 */
/*
Plugin Name: WorldTravelServer.com import packages
Plugin URI: http://www.worldtravelserver.com
Description: This Plugin imports your travel packages to worldtravelserver.com. Feed url for import: http://'your-website'/?wts_export=true. Submit your name, email, website and feed url to feedback@worldtravelserver.com
Author: worldtravelserver.com
Version: 1.0
Author URI: http://www.worldtravelserver.com
*/

require("wts_export.php");
add_action('parse_request', 'wts_url_handler');
function wts_url_handler() {
    if(strstr($_SERVER["REQUEST_URI"], 'wts_export=true') && isset($_GET["wts_export"]) && $_GET["wts_export"] == 'true') {

        header ("Content-Type:text/xml");
        $wts_export = new wts_export();
        $posts = $wts_export->getTours();
        $wtsXml = new SimpleXMLElement('<?xml version="1.0" encoding="UTF-8" ?><feed></feed>');
        $wtsXml->addAttribute("for", "This is standart import file for WorldTravelServer.com");
        $price_currency=ThemexCore::getOption('tours_currency');
        if ($price_currency == '$') {
            $price_currency = 'USD';
        }
        if ($price_currency == '€') {
            $price_currency = 'EUR';
        }

        foreach($posts as $post) {
            /* @var $post WP_Post */
            $permalink=wp_get_attachment_url(get_post_thumbnail_id($post->ID));
            $destinations=themex_category($post->ID, 'destination');
            $price=get_post_meta($post->ID,'_tour_price',true);
            $departure_date=themex_date(get_post_meta($post->ID, '_tour_departure_date', true), 'Y-m-d');
            $item = $wtsXml->addChild('travel');
            $item->name = $post->post_title;
            $item->language = '-';
            $item->price = $price;
            $item->currency = $price_currency;
            $item->email = '-';
            $item->phone = '-';
            $item->link = $post->guid;
            $item->other_contact = '';
            $item->description = $post->post_content;
            $metadata = $item->addChild('metadata');
            $metadata->target_country = $destinations;
            $metadata->startdate = $departure_date;
            $metadata->enddate = date("Y-m-d", strtotime($departure_date. ' + 10 days'));
            $img = $item->addChild('images');
            $img->image[0] = $permalink;

        }
        echo $wtsXml->asXML();
        exit();
    }
}